# Uses of Class
org.eclipse.birt.report.model.api.command.CustomMsgException

Packages that use CustomMsgException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of CustomMsgException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw CustomMsgException
Modifier and Type
Method
Description
`void`
ModuleHandleImpl.`addTranslation(String resourceKey, String locale, String text)`
Adds a new translation to the design.
`void`
ModuleHandleImpl.`dropTranslation(String resourceKey, String locale)`
Drops a translation from the design.
`void`
TranslationHandle.`setLocale(String newLocale)`
Sets the locale of the translation message.
`void`
TranslationHandle.`setText(String text)`
Sets the translated text for the translation message.